attribute vec3 aVertices;
attribute vec3 aNormals;
attribute vec2 aTexCoords;

uniform mat4 uProjectionMatrix;
uniform mat4 uModelViewMatrix;
uniform mat3 uNormalMatrix;

//uniform float uFlatShadedPolygon;
uniform float uLighting;
uniform float uTexture;

varying vec3 vNormal, vPosition;
varying vec2 vTexCoords;
varying float vLighting, vTexture;
varying vec2 vPixelVertex;

void main(void)
{
    vec4 position = uModelViewMatrix * vec4(aVertices, 1.0);
    gl_Position = uProjectionMatrix * position;
    
    
    vPixelVertex = aVertices.xy;
    vTexture = uTexture;
    vLighting = uLighting;
    
//    if (uTexture == 2.0)
//    {
//        // This is for the flat circle rectangle
//        if (uFlatShadedPolygon == 1.0)
//        {
//            vCubeTexCoords = vec3(aVertices.xy, aNormals.z);
//        }
//        // This is for the 3D Pyramid, 3D Box, and everything else
//        else
//        {
//            vCubeTexCoords = aVertices;
//        }
//    }
    
    if (uTexture == 1.0)
    {
        vTexCoords = aTexCoords;
    }
    
    if (uLighting == 1.0)
    {
        vPosition = position.xyz;
        vNormal = uNormalMatrix * aNormals;
    }
}